<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>
		<report id="report_warehouse_transfer" model="stock.warehouse.transfer" string="Transferencia" report_type="qweb-pdf"
            name="stock_warehouse_transfer_report.print_stock_product_view" file="stock_warehouse_transfer_report.print_stock_product_view" />

		<template id="print_stock_product_view">
			<t t-call="report.html_container">
				<t t-foreach="docs" t-as="o">
					<t t-call="report.internal_layout">
						<div class="page">
							<h2 class="text-center"><strong>Transferencia Interna de Productos</strong></h2>

							<div t-if="o.name" name="Transferencia" class="col-xs-12">
					 			<p><strong>Operación numero :</strong><span t-field="o.name"/></p>
					 		</div>

							<div t-if="o.source_warehouse" name="Origin" class="col-xs-6">
									<p><strong>Sucursal de Origen :</strong><span t-field="o.source_warehouse"/></p>
							</div>
							<div t-if="o.dest_warehouse" name="Destino" class="col-xs-6">
									<p><strong>Sucursal de Destino :</strong><span t-field="o.dest_warehouse"/></p>
							</div>

							<div t-if="o.create_uid" name="user" class="col-xs-6">
								<p><strong>Creado por :</strong><span t-field="o.create_uid"/></p>
							</div>

							<div t-if="o.date" class="col-xs-6">
								<p><strong>Fecha de Creación :</strong><span t-field="o.date"/></p>
							</div>

							<br></br>
							<table class="table table-condensed">
						    <thead>
						    	<tr>
						        <th><strong>Producto</strong></th>
						        <th><strong>Referencia de Fabrica</strong></th>
						        <th><strong>Cantidad</strong></th>
						      </tr>
						    </thead>
						    <tbody>
						      <tr t-foreach="o.lines" t-as="line">
						         <td> <span t-field="line.product_id"/> </td>
						         <td> <span t-field="line.factory_reference"/> </td>
										 <td> <span t-field="line.product_qty"/> </td>
						      </tr>
						    </tbody>
						  </table>
						</div>
					</t>
				</t>
			</t>
		</template>
	</data>
</openerp>
